Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Class AbstractAuditLogger

    java.lang.Object
      org.drools.audit.WorkingMemoryLogger
          org.jbpm.process.audit.AbstractAuditLogger

All Implemented Interfaces:
  Externalizable, Serializable, EventListener, org.drools.event.AgendaEventListener, org.drools.event.RuleBaseEventListener, org.drools.event.WorkingMemoryEventListener, ProcessEventListener

Direct Known Subclasses:
  AsyncAuditLogProducer, JPAWorkingMemoryDbLogger

    public abstract class AbstractAuditLogger

extends org.drools.audit.WorkingMemoryLogger

See Also:
  Serialized Form

Field Summary
`protected Environment` | `env`

Constructor Summary
`AbstractAuditLogger(org.kie.event.KnowledgeRuntimeEventManager session)`
`AbstractAuditLogger(org.drools.WorkingMemory workingMemory)`

Method Summary
`void` | `afterProcessCompleted(ProcessCompletedEvent event)` This listener method is invoked right after a process instance has been completed (or aborted).
`void` | `beforeProcessStarted(ProcessStartedEvent event)` This listener method is invoked right before a process instance is being started.

Methods inherited from class org.drools.audit.WorkingMemoryLogger
`activationCancelled, activationCreated, addFilter, afterActivationFired, afterFunctionRemoved, afterNodeLeft, afterNodeTriggered, afterPackageAdded, afterPackageRemoved, afterProcessAdded, afterProcessRemoved, afterProcessStarted, afterRuleAdded, afterRuleBaseLocked, afterRuleBaseUnlocked, afterRuleFlowGroupActivated, afterRuleFlowGroupDeactivated, afterRuleRemoved, afterVariableChanged, agendaGroupPopped, agendaGroupPushed, beforeActivationFired, beforeFunctionRemoved, beforeNodeLeft, beforeNodeTriggered, beforePackageAdded, beforePackageRemoved, beforeProcessAdded, beforeProcessCompleted, beforeProcessRemoved, beforeRuleAdded, beforeRuleBaseLocked, beforeRuleBaseUnlocked, beforeRuleFlowGroupActivated, beforeRuleFlowGroupDeactivated, beforeRuleRemoved, beforeVariableChanged, clearFilters, logEventCreated, objectInserted, objectRetracted, objectUpdated, readExternal, removeFilter, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### env

    protected Environment env

Constructor Detail

### AbstractAuditLogger

    public AbstractAuditLogger(org.drools.WorkingMemory workingMemory)

### AbstractAuditLogger

    public AbstractAuditLogger(org.kie.event.KnowledgeRuntimeEventManager session)

Method Detail

### beforeProcessStarted

    public void beforeProcessStarted(ProcessStartedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a process instance is being started.

  Specified by:
    `beforeProcessStarted` in interface `ProcessEventListener`
  Overrides:
    `beforeProcessStarted` in class `org.drools.audit.WorkingMemoryLogger`

### afterProcessCompleted

    public void afterProcessCompleted(ProcessCompletedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a process instance has been completed (or aborted).

  Specified by:
    `afterProcessCompleted` in interface `ProcessEventListener`
  Overrides:
    `afterProcessCompleted` in class `org.drools.audit.WorkingMemoryLogger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.